//! This module provides an enum of available actions in game including internal signals.
const std = @import("std");

/// An enum of available actions in the game
pub const Action = enum {
    /// Illegal action. Treated as a noop.
    illegal,

    /// One game tick has finished.
    tick,

    /// Exit the game.
    exit,

    /// Move the player character up one tile.
    move_up,

    /// Move the player character down one tile.
    move_down,

    /// Move the player character left one tile.
    move_left,

    /// Move the player character right one tile.
    move_right,

    /// The player character goes down a flight of stairs.
    down_stair,

    /// The player character goes up a flight of stairs.
    /// (TODO: possibly merge with down_stair)
    up_stair,
};
