//! This module provides a basic component interface for an Entity Component System
const std = @import("std");

/// An empty component for testing purposes
pub const ComponentStub = struct {
    pub fn init(args: ComponentStub) ComponentStub {
        _ = args;
        return .{};
    }

    pub fn deinit(self: *ComponentStub) void {
        _ = self;
    }
};

/// All valid component types are stored in this enum
pub const ComponentType = enum {
    component_stub,
};

/// The components are stored as a MultiArrayList over this struct
pub const Components = struct {
    component_stub: ?ComponentStub,
};
