const std = @import("std");
const IO = @import("frontend/sdl.zig").IO;
const run = @import("run.zig");

pub fn main() u8 {
    var status: u8 = 0;

    var gpa = std.heap.GeneralPurposeAllocator(.{}){};
    const allocator = gpa.allocator();
    defer {
        const deinit_status = gpa.deinit();
        if (deinit_status == .leak) {
            status = 1;
        }
    }

    var io = IO.init(allocator) catch |err| {
        std.log.err("Failed to initialize: {}", .{err});
        return 1;
    };
    defer io.deinit();

    run.run(allocator, &io) catch return 1;

    return status;
}
